# Lock, Redeem And Yield Booster

## Lock <a href="#lock" id="lock"></a>

The "Lock" feature allows users to convert their GORPLE tokens into xGORPLE tokens. xGORPLE tokens offer multiple advantages, including the ability to amplify your farm rewards via the "Boost" module, and improving your odds of [winning the chest](https://docs.gorplescoin.xyz/gorple-games) by slashing large quantities of xGORPLE.

## Redeem <a href="#redeem" id="redeem"></a>

The “Redeem” function initiates the vesting period, gradually converting locked xGORPLE tokens back into liquid $GORPLE tokens over a 28-day period. The rate at which these xGORPLE tokens. The rate at which these xGORPLE tokens can be redeemed for GORPLE tokens is calculated based on the remainder of the 28-day unlock period. Users will need to initiate a slash transaction to convert their locked tokens into liquid ones.

## Boost <a href="#boost" id="boost"></a>

The “Boost” page allows users to allocate their xGORPLE tokens to a staked position, effectively increasing the yield on that position (up to 2X). The induced yield boost multiplier is calculated for each position using the following formula:

(𝑢𝑠𝑒𝑟𝐿𝑃∗𝑡𝑜𝑡𝑎𝑙𝐴𝑙𝑙𝑜𝑐𝑎𝑡𝑖𝑜𝑛∗𝑚𝑎𝑥𝐵𝑜𝑜𝑠𝑡𝑀𝑢𝑙𝑡𝑖𝑝𝑙𝑖𝑒𝑟)/(𝑡𝑜𝑡𝑎𝑙𝐿𝑃∗𝑢𝑠𝑒𝑟𝐴𝑙𝑙𝑜𝑐𝑎𝑡𝑖𝑜𝑛)(userLP∗totalAllocation∗maxBoostMultiplier)/(totalLP∗userAllocation)

Where:

* **userLP** = specific user staked position
* **totalAllocation** = total xGORPLE allocated across all positions with the same staked LP
* **maxBoostMultiplier** = 2
* **totalLP** = total staked positions in the dApp
* **userAllocation** = specific user xGORPLE allocation for the position

The more xGORPLE assigned to a pair, the lower the boost for each user's allocated amount becomes. Conversely, the less xGORPLE allocated to a pair overall, the higher the APR becomes for each user's allocated amount.

**Note:** Deallocating xGORPLE from its staked position is not subject to any conditions and can be done at any time. The deallocation fee is 0.5%.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gorplescoin.xyz/gorplenomics-next-generation-fairness/lock-redeem-and-yield-booster.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
